Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::details::Stepper Struct Reference

`#include <SynthonSpaceSearch_details.h>`

## Public Member Functions

| Stepper (const std::vector< size_t > &sizes)
void | step ()

## Public Attributes

std::vector< size_t > | d_currState
std::vector< size_t > | d_sizes

## Detailed Description

Definition at line 86 of file SynthonSpaceSearch_details.h.

## Constructor & Destructor Documentation

## Stepper()

RDKit::SynthonSpaceSearch::details::Stepper::Stepper | ( | const std::vector< size_t > & | sizes | ) |

inline explicit

Definition at line 87 of file SynthonSpaceSearch_details.h.

## Member Function Documentation

## step()

void RDKit::SynthonSpaceSearch::details::Stepper::step | ( |  | ) |

inline

Definition at line 90 of file SynthonSpaceSearch_details.h.

## Member Data Documentation

## d_currState

std::vector<size_t> RDKit::SynthonSpaceSearch::details::Stepper::d_currState

Definition at line 110 of file SynthonSpaceSearch_details.h.

## d_sizes

std::vector<size_t> RDKit::SynthonSpaceSearch::details::Stepper::d_sizes

Definition at line 111 of file SynthonSpaceSearch_details.h.

The documentation for this struct was generated from the following file:

- SynthonSpaceSearch_details.h